# Changelog

<https://keepachangelog.com/>

Types of changes

- 'Added' for new features.
- 'Changed' for changes in existing functionality.
- 'Deprecated' for soon-to-be removed features.
- 'Removed' for now removed features.
- 'Fixed' for any bug fixes.
- 'Security' in case of vulnerabilities.

---

## TODOs

- add precision multiplier as a quantity to play around with
- limit data loading to columns that are actually used / should be visible
- add info: departure and destination airports

### Data Processing

- add PTRMS prc to SU and MS files
  - add VOC data specific parameters (background, uncertainty, etc.)
- publish new dataset on zenodo

## Backlog

- use a polars dataframe for better efficiency - if that turns out to be a bottleneck. (!) Keep this in mind when using pandas-specific functions.
- add tests
- add pre-commit
- get a DOI for the code

---

## [Unreleased]

### Added

- DotDict class for configuration

### Changed

- use DotDict class for app config

## v0.0.10 - 2025-03-21

initial upload
